type_utils.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_STATIC_ASSERT(UNIQUE, E)

## Typedefs

typedef std::tr1::integral_constant < int, 0 > | __gnu_pbds::detail::false_type
typedef std::tr1::integral_constant < int, 1 > | __gnu_pbds::detail::true_type

## Detailed Description

Contains utilities for handnling types. All of these classes are based on Modern C++ by Andrei Alxandrescu.

Definition in file type_utils.hpp.